version: '3'

services:
  postgres1:
    image: postgres:${POSTGRESQL_VERSION}
    container_name: postgres1    
    ports:
     - "5432:5432"
    environment:
     - POSTGRES_PASSWORD=password
     - POSTGRES_USER=admin
     - POSTGRES_DB=mydb

  postgres2:
    image: postgres:${POSTGRESQL_VERSION}
    container_name: postgres2    
    ports:
     - "5433:5432"
    environment:
     - POSTGRES_PASSWORD=password
     - POSTGRES_USER=admin
     - POSTGRES_DB=mydb
     
  haproxy:
    image: haproxy:${HAPROXY_VERSION}
    container_name: haproxy
    volumes:
       - ./haproxy/haproxy.cfg:/usr/local/etc/haproxy/haproxy.cfg:ro
    ports:
      - "8080:8080"
      - "8090:8090"
      - "15632:15632"
    links:
      - postgres1
      - postgres2
      